\version "2.14.0"

\header {
  texidoc = "
Options to group beats within a bar are available through the Scheme
function @code{set-time-signature}, which takes three arguments: the
number of beats, the beat length, and the internal grouping of beats in
the measure.  If the @code{Measure_grouping_engraver} is included, the
function will also create @code{MeasureGrouping} signs.  Such signs
ease reading rhythmically complex modern music.  In the example, the
9/8 measure is subdivided in 2, 2, 2 and 3.  This is passed to
@code{set-time-signature} as the third argument: @code{'(2 2 2 3)}:

"
  doctitle = "Conducting signs, measure grouping signs"
}
% fixed by commenting the old auto-beam-setting.
% In Documentation/snippets/new you can find a version, 
% which will work with >="2.15.19". 

\score {
  \relative c'' {
    #(set-time-signature 9 8 '(2 2 2 3))
    %#(revert-auto-beam-setting '(end * * 9 8) 3 8)
    %#(override-auto-beam-setting '(end 1 8 9 8) 1 4)
    %#(override-auto-beam-setting '(end 1 8 9 8) 2 4)
    %#(override-auto-beam-setting '(end 1 8 9 8) 3 4)
    g8 g d d g g a( bes g) |
    #(set-time-signature 5 8 '(3 2))
    a4. g4
  }
  \layout {
    \context {
      \Staff
      \consists "Measure_grouping_engraver"
    }
  }
}

